%define		php_name	php%{?php_suffix}
%define		modname	ncurses
%define		status		stable
Summary:	%{modname} - Terminal screen handling and optimization package
Summary(pl.UTF-8):	%{modname} - pakiet obsługi i optymalizacji terminala
Name:		%{php_name}-pecl-%{modname}
Version:	1.0.2
Release:	8
License:	PHP 3.01
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	a466d1b3e556cda67274ba6c36239c48
Patch0:		php-pecl-%{modname}-php52.patch
URL:		http://pecl.php.net/package/ncurses/
BuildRequires:	%{php_name}-devel >= 3:5.0.4
BuildRequires:	ncurses-ext-devel
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
Provides:	php(%{modname}) = %{version}
Obsoletes:	php-ncurses
Obsoletes:	php-pecl-ncurses < 1.0.2-6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module adds support for ncurses functions (only for cli SAPI).

In PECL status of this extension is: %{status}.

%description -l pl.UTF-8
Ten moduł dodaje obsługę funkcji ncurses (tylko do SAPI cli).

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -qc
mv %{modname}-%{version}/* .
%patch0 -p1

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_sysconfdir}/cli.d
%{__make} install \
	EXTENSION_DIR=%{php_extensiondir} \
	INSTALL_ROOT=$RPM_BUILD_ROOT
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/cli.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/cli.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Sat Dec 12 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-ncurses.git;a=log;h=master

* Sat Dec 12 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> a297cc9
- rel 8

* Fri May 16 2014 Elan Ruusamäe <glen@delfi.ee> e1bc636
- obsolete old php name
- release 7 (by relup.sh)

* Sun Apr 27 2014 Elan Ruusamäe <glen@delfi.ee> 431c596
- php 5.5 rebuild
- release 6 (by relup.sh)

* Sun Nov 24 2013 Elan Ruusamäe <glen@delfi.ee> 93198c0
- provide php(extname) to really be supporting multiple php versions

* Fri Aug 02 2013 Marcin Krol <hawk@tld-linux.org> 78ef186
- release 4 (by relup.sh)

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> 355d3d0
- support building for multiple php versions

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> 29fba8b
- use php(core) as dependency to require php version
- release 2 (by relup.sh)

* Mon Aug 06 2012 Elan Ruusamäe <glen@delfi.ee> 6c41d2c
- release 2 (by relup.sh)

* Sun Jun 24 2012 Łukasz Kieś <kiesiu@pld-linux.org> e45f735
- updated to 1.0.2

* Sat Oct 30 2010 Jakub Bogusz <qboosh@pld-linux.org> 23ba2d4
- replaces old php-ncurses module
- added php52 patch to build correctly with php 5.2.x too

